<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.tangguo.mapper.BbsPointsGoodsMapper">
	
	<update id="decrGoodsStock">
		UPDATE
			bbs_points_goods
		SET
			stock_num = stock_num - #{goodsNum}
		WHERE
			id = #{goodsId}
	</update>
	
	
	<update id="incrGoodsSales">
		UPDATE
			bbs_points_goods
		SET
			sales_num = sales_num + #{goodsNum}
		WHERE
			id = #{goodsId}
	</update>

</mapper>
